Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234857 (Geography-Countries) - Review Request: perl-Geography-Countries - 2-letter, 3-letter, and numerical codes for countries
Summary: Review Request: perl-Geography-Countries - 2-letter, 3-letter, and numerical ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: Geography-Countries
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-User-Identity
TreeView+ depends on / blocked
 
Reported: 2007-04-02 16:58 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 21:59:13 UTC
cweyl: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2007-04-02 16:58:17 UTC
Spec URL: http://www.auroralinux.org/people/spot/review/perl-Geography-Countries.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-Geography-Countries-1.4-1.src.rpm
Description: 
This module maps country names, and their 2-letter, 3-letter and numerical
codes, as defined by the ISO-3166 maintenance agency, and defined by the UNSD.

Comment 1 Chris Weyl 2007-04-02 17:28:23 UTC
+ source files match upstream:
693426ab59ce3d51fcd48dfe3b402107  Geography-Countries-1.4.tar.gz
693426ab59ce3d51fcd48dfe3b402107  ../Geography-Countries-1.4.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
O no debuginfo package -- noarch
+ rpmlint is silent.
+ final provides and requires are sane:
** perl-Geography-Countries-1.4-1.fc6.noarch.rpm
== rpmlint
== provides
perl(Geography::Countries)  
perl-Geography-Countries = 1.4-1.fc6
== requires
perl(:MODULE_COMPAT_5.8.8)  
perl(Exporter)  
perl(constant)  
perl(strict)  
perl(vars) 
+ %check is present and all tests pass
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.

APPROVED

Comment 2 Tom "spot" Callaway 2007-04-02 17:33:24 UTC
New Package CVS Request
=======================
Package Name: perl-Geography-Countries
Short Description: 2-letter, 3-letter, and numerical codes for countries
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Tom "spot" Callaway 2007-04-04 21:59:13 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.